Bug 1886243 - firefox-wayland: Right click on tab is unresponsive
Summary: firefox-wayland: Right click on tab is unresponsive
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: firefox
Version: 32
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Martin Stransky
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-10-08 02:38 UTC by Dimitris
Modified: 2020-10-23 22:47 UTC (History)
15 users (show)

Fixed In Version: firefox-82.0-4.fc32 firefox-82.0-4.fc33 firefox-82.0-4.fc31
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-10-21 19:58:55 UTC
Type: Bug


Attachments (Terms of Use)

Description Dimitris 2020-10-08 02:38:18 UTC
Description of problem:

Right-click tab menu does not appear

Version-Release number of selected component (if applicable):

81.0.1-5.fc32

How reproducible:

Every time

Steps to Reproduce:
1. Start firefox, restore some tabs from previous session.
2. Right click on tab.  Nothing happens.

Actual results:

Right click on the tab has no effect

Expected results:

As of 81.0.1-4.fc32 tab right-click works as expected

Additional info:

Comment 1 Martin Stransky 2020-10-08 05:39:26 UTC
Thanks, looks like a regression from last update. I'll look at it.

Comment 2 Martin Stransky 2020-10-08 06:21:32 UTC
This is a regression from https://bugzilla.mozilla.org/show_bug.cgi?id=1656727 which we shipped downstream. I'll remove that from our packages.

Comment 3 Vít Ondruch 2020-10-08 06:34:02 UTC
I think that the popup menu of the last (the rightmost) tab behaves a bit funky (sometimes it feels like pop up is delayed, sometimes it won't pop up at all), but it mostly works with firefox-81.0.1-5.fc34.x86_64

Comment 4 Dimitris 2020-10-09 19:44:33 UTC
81.0.1-9.fc32.x86_64 fixes this for me.

Comment 5 Michael Yartys 2020-10-11 13:34:58 UTC
I'm experiencing the same issue on Fedora 33 Beta with the latest version of Firefox installed (81.0.1-5.fc33).

Comment 6 Fedora Update System 2020-10-16 14:19:20 UTC
FEDORA-2020-21b9d8f218 has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2020-21b9d8f218

Comment 7 Fedora Update System 2020-10-16 14:19:22 UTC
FEDORA-2020-d077ee049c has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2020-d077ee049c

Comment 8 Fedora Update System 2020-10-16 14:19:23 UTC
FEDORA-2020-a2b6a37b5a has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-a2b6a37b5a

Comment 9 Fedora Update System 2020-10-16 16:02:16 UTC
FEDORA-2020-a2b6a37b5a has been pushed to the Fedora 32 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-a2b6a37b5a`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-a2b6a37b5a

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 10 Fedora Update System 2020-10-16 16:08:34 UTC
FEDORA-2020-d077ee049c has been pushed to the Fedora 31 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-d077ee049c`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-d077ee049c

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 11 Fedora Update System 2020-10-16 22:18:04 UTC
FEDORA-2020-21b9d8f218 has been pushed to the Fedora 33 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-21b9d8f218`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-21b9d8f218

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 12 Fedora Update System 2020-10-20 14:24:07 UTC
FEDORA-2020-c82e86cde0 has been pushed to the Fedora 33 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-c82e86cde0`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-c82e86cde0

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 13 Fedora Update System 2020-10-20 18:50:19 UTC
FEDORA-2020-de83d27335 has been pushed to the Fedora 31 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-de83d27335`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-de83d27335

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 14 Fedora Update System 2020-10-20 19:00:44 UTC
FEDORA-2020-aba1d14e9e has been pushed to the Fedora 32 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-aba1d14e9e`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-aba1d14e9e

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 15 Fedora Update System 2020-10-21 19:58:55 UTC
FEDORA-2020-aba1d14e9e has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 16 Fedora Update System 2020-10-23 22:17:49 UTC
FEDORA-2020-c82e86cde0 has been pushed to the Fedora 33 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 17 Fedora Update System 2020-10-23 22:47:24 UTC
FEDORA-2020-de83d27335 has been pushed to the Fedora 31 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.